---

# ---
# vars used by roles/network_interfaces
# ---


# If true, all additional files in /etc/network/interfaces/interfaces.d/ are deleted
network_manage_devices: True

# Should the interfaces be reloaded after config change?
network_interface_reload: False

network_interface_path: /etc/network/interfaces.d
network_interface_required_packages:
  - vlan
  - bridge-utils
  - ifmetric
  - ifupdown
  - ifenslave


network_interfaces:

  - device: br0
    # use only once per device (for the first device entry)
    headline: br0 - bridge over device eno1

    # auto & allow are only used for the first device entry
    allow: [] # array of allow-[stanzas] eg. allow-hotplug
    auto: true

    family: inet
    method: static
    description:
    address: 192.168.182.10
    netmask: 24
    gateway: 192.168.182.254

    # optional dns settings nameservers: []
    #
    #    nameservers:
    #      - 194.150.168.168  # dns.as250.net
    #      - 91.239.100.100   # anycast.censurfridns.dk
    #    search: warenform.de
    #
    #nameservers:
    #  - 192.168.182.1
    #search: ebs.netz

    # optional bridge parameters bridge: {}
    # bridge:
    #   ports:
    #   stp:
    #   fd:
    #   maxwait:
    #   waitport:
    bridge:
      ports: eno1 # for mor devices support a blank separated list
      stp: !!str off
      fd: 5
      hello: 2
      maxage: 12

    # inline hook scripts
    pre-up:
      - !!str "ip link set dev eno1 up" # pre-up script lines
    up: [] #up script lines
    post-up: [] # post-up script lines (alias for up)
    pre-down: [] # pre-down script lines (alias for down)
    down: [] # down script lines
    post-down: [] # post-down script lines


# ---
# vars used by roles/ansible_dependencies
# ---


# ---
# vars used by roles/ansible_user
# ---


# ---
# vars used by roles/common/tasks/basic.yml
# ---


# ---
# vars used by roles/common/tasks/sshd.yml
# ---


# ---
# vars used by roles/common/tasks/apt.yml
# ---

apt_install_extra_pkgs:
  - lvm2
  - kpartx
  - ntfs-3g
  - swtpm
  - swtpm-tools


# ---
# vars used by roles/common/tasks/systemd-resolved.yml
# ---

systemd_resolved: true

# CyberGhost - Schnelle Verbindung mit Keine-Logs-Datenschutzrichtlinie
#   Primäre DNS-Adresse: 38.132.106.139
#   Sekundäre DNS-Adresse: 194.187.251.67
#
# Cloudflare (USA) Bester kostenloser DNS-Server für Gaming mit zuverlässigen Verbindungen
#   primäre DNS-Adresse
#      IPv4: 1.1.1.1
#      IPv6: 2606:4700:4700::1111
#   sekundäre DNS-Adresse
#      IPv4: 1.0.0.1
#      IPv6: 2606:4700:4700::1001
#
# Google (USA) Public DNS - Großartige Kombination aus Geschwindigkeit und Sicherheit
#   primäre DNS-Adresse
#      IPv4: 8.8.8.8
#      IPv6: 2001:4860:4860::8888
#   sekundäre DNS-Adresse
#      IPv4: 8.8.4.4
#      IPv6: 2001:4860:4860::8844
#
# Quad9 (CH) - Blockiert mühelos schädliche Seiten und verhindert Phishing-Betrug
#   primäre DNS-Adresse
#      IPv4: 9.9.9.9
#      IPv6: 2620:fe::fe
#   sekundäre DNS-Adresse
#      IPv4: 149.112.112.112
#      IPv6: 2620:fe::9
#
# OpenNIC - https://www.opennic.org/
#      IPv4: 195.10.195.195 - ns31.de
#      IPv4: 94.16.114.254  - ns28.de
#      IPv4: 51.254.162.59  - ns9.de
#      IPv4: 194.36.144.87  - ns29.de
#      IPv6: 2a00:f826:8:2::195 - ns31.de
#
# Freifunk München (normales DNS, DNS-over-TLS und DNS-over-HTTPS)
#    IPv4: 5.1.66.255
#    IPv6: 2001:678:e68:f000::
#    Servername für DNS-over-TLS: dot.ffmuc.net
#    IPv4: 185.150.99.255
#    IPv6: 2001:678:ed0:f000::
#    Servername für DNS-over-TLS: dot.ffmuc.net
#    für iOS 14+: DoT-Server-Konfiguration (unsigniert, vom PrHdb)
resolved_nameserver:
  - 192.168.182.1

# search domains
#
# If there are more than one search domains, then specify them here in the order in which
# the resolver should also search them
#
#resolved_domains: []
resolved_domains:
  - ~.
  - ebs.netz

resolved_dnssec: false

# dns.as250.net: 194.150.168.168
#
resolved_fallback_nameserver:
   - 172.16.182.254


# ---
# vars used by roles/common/tasks/users
# ---

default_user:

  - name: chris
    password: $y$j9T$JPKlR6kIk7GJStSdmAQWq/$e1vJER6KL/dk1diFNtC.COw9lu2uT6ZdrUgGcNVb912
    shell: /bin/bash
    ssh_keys:
      - 'ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIO90culn3sicU2chTHn40ytcTay0nUIHap0uF/5fVM6P chris@sol'
      - 'ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIOQHMUKlDh2ufno5pZOhUY5xFljC1R5zQ/GjOHDkS58D root@sol'

  - name: sysadm
    user_id: 1050
    group_id: 1050
    group: sysadm
    password: $y$j9T$sHxqz7NyYdn38ZegSbewO.$PPHR0n.XeMcS3AQ9KybllBT.2hxpYlQ7AiVhxHgUOX8
    shell: /bin/bash
    ssh_keys:
      - 'ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIO90culn3sicU2chTHn40ytcTay0nUIHap0uF/5fVM6P chris@sol'
      - 'ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIOQHMUKlDh2ufno5pZOhUY5xFljC1R5zQ/GjOHDkS58D root@sol'

  - name: localadmin
    user_id: 1051
    group_id: 1051
    group: localadmin
    home: /home/localadmin
    password: $y$j9T$1WH8G2UkuN1jjp4QLuoeC0$dXpOnJUfMMAqAXlwN8XD0pq78r.a4UZOgt3LY4afxy/
    shell: /bin/bash
    ssh_keys:
      - 'ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIO90culn3sicU2chTHn40ytcTay0nUIHap0uF/5fVM6P chris@sol'
      - 'ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIOQHMUKlDh2ufno5pZOhUY5xFljC1R5zQ/GjOHDkS58D root@sol'

  - name: back
    user_id: 1060
    group_id: 1060
    group: back
    password: $y$j9T$WmitGB98lhPLJ39Iy4YfH.$irv0LP1bB5ImQKBUr1acEif6Ed6zDu6gLQuGQd/i5s0
    shell: /bin/bash
    ssh_keys:
      - 'ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIO90culn3sicU2chTHn40ytcTay0nUIHap0uF/5fVM6P chris@sol'
      - 'ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIKd0AwTHbDBK4Dgs+IZWmtnDBjoVIogOUvkLIYvsff1y root@backup.open.de'
      - 'ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAINj0nCdFOZm51AVCfPbZ22QROIEiboXZ7RamHvM2E9IM root@backup.warenform.de'
      - 'ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIBZQMCGCyIvs5hoNDoTIkKvKmEbxLf+uCYI1vx//ZQYY root@o26-backup'


  - name: borg
    user_id: 1065
    group_id: 1065
    group: borg
    home: /home/borg
    password: $y$j9T$JPKlR6kIk7GJStSdmAQWq/$e1vJER6KL/dk1diFNtC.COw9lu2uT6ZdrUgGcNVb912
    shell: /bin/bash
    ssh_keys:
      - 'ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIO90culn3sicU2chTHn40ytcTay0nUIHap0uF/5fVM6P chris@sol'
      - 'ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIKd0AwTHbDBK4Dgs+IZWmtnDBjoVIogOUvkLIYvsff1y root@backup.open.de'
      - 'ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIAMFUnBjVV0WjUlhd2FT49nXlpHUDPEwaJ7bAvRJfB56 root@file-ebs'
      - 'ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIBK8Ngbtl8Yjtk1JkT0Xn1HVIAHKdtfh0qicnnJTa3Kx root@gw-ebs'


# ---
# vars used by roles/common/tasks/cron.yml
# ---

cron_user_special_time_entries:

  - name: "Restart DNS Cache service 'systemd-resolved'"
    special_time: reboot
    job: "sleep 10 ; /bin/systemctl restart systemd-resolved"
    insertafter: PATH



# ---
# vars used by roles/common/tasks/users.yml
# ---


# ---
# vars used by roles/common/tasks/users-systemfiles.yml
# ---


# ---
# vars used by roles/common/tasks/webadmin-user.yml
# ---


# ---
# vars used by roles/common/tasks/sudoers.yml
# ---
#
# see: roles/common/tasks/vars


# ---
# vars used by roles/common/tasks/caching-nameserver.yml
# ---


# ---
# vars used by roles/common/tasks/git.yml
# ---


# ---
# vars used by roles/common/tasks/nfs.yml
# ---

nfs_server: 192.168.182.10

# Set 'fs_encrypted' to true if filesystem lives on an encrypted
# partition.
#
# NOTE !!
#    Take car to increase 'fsid' in case of more than one export
#
nfs_exports:
   - src: 192.168.182.10:/data/samba/shares
     path: /data/samba/shares
     mount_opts: users,rsize=8192,wsize=8192,hard,intr
     export_opt: rw,root_squash,sync,subtree_check
     export_networks:
       - 192.168.182.0/24
       - 10.0.192.0/24
       - 10.1.192.0/24
       - 192.168.63.0/24
     use_fsid_option: true



# ---
# vars used by roles/common/tasks/samba-config-server.yml
# vars used by roles/common/tasks/samba-user.yml
# ---

samba_server_ip: 192.168.182.10
samba_server_cidr_prefix: 24

samba_workgroup: EBS

samba_netbios_name: FILE-EBS

#samba_server_min_protocol: !!str NT1

samba_groups:

  - name: sysadm
    group_id: 1050

  - name: admin
    group_id: 1100

  - name: alle
    group_id: 1110

  - name: akten
    group_id: 1120

  - name: archiv
    group_id: 1130

  - name: kanzlei
    group_id: 1140

  - name: recherche
    group_id: 1150


samba_user:

  - name: chris
    groups:
      - admin
      - alle
      - akten
      - archiv
      - kanzlei
      - recherche
    password: !vault |
          $ANSIBLE_VAULT;1.1;AES256
          63643330373231636537366333326630333265303265653933613835656262323863363038653234
          3462653135633266373439626263356636646637643035340a653466356235346663626163306363
          61313164643061306433643738643563303036646334376536626531383965303036386162393832
          6631333038306462610a356535633265633563633962333137326533633834636331343562633765
          3631

  - name: back
    groups: []
    password: 'back2023'

  - name: sysadm
    groups:
      - admin
      - alle
      - akten
      - archiv
      - kanzlei
      - recherche
    password: 'IrcR3uo-QJ.5'

  - name: winadm
    groups:
      - admin
      - sysadm
    password: 'ZbPS.Lh6d-9E'

  - name: buero
    groups:
      - alle
      - akten
      - archiv
      - kanzlei
      - recherche
    password: 'buero-ebs/2022.%'

  - name: axel
    groups:
      - alle
      - akten
      - archiv
      - kanzlei
      - recherche
    password: 'ah-ebs.2022-!'

  - name: bjoern
    groups:
      - alle
      - akten
      - archiv
      - kanzlei
      - recherche
    password: 'be-ebs-2022/%'

  - name: christoph
    groups:
      - alle
      - akten
      - archiv
      - kanzlei
      - recherche
    password: 'ck-ebs-2022.%'

  - name: kristin
    groups:
      - alle
      - akten
      - archiv
      - kanzlei
      - recherche
    password: 'kp-ebs.2022_%'

  - name: maik
    groups:
      - alle
      - akten
      - archiv
      - kanzlei
      - recherche
    password: 'me-ebs_2022.!'



base_home: /data/home

# remove_samba_users:
#   - name: name1
#   - name: name2
#
remove_samba_users: []

samba_shares:

  - name: 4all
    comment: 4all auf Fileserver
    path: /data/samba/shares/4all
    group_valid_users: alle
    group_write_list: alle
    file_create_mask: !!str 660
    dir_create_mask: !!str 2770
    vfs_object_recycle: true
    recycle_path: '@Recycle.Bin'

  - name: Akten
    comment: Akten auf Fileserver
    path: /data/samba/shares/Akten
    group_valid_users: akten
    group_write_list: akten
    file_create_mask: !!str 660
    dir_create_mask: !!str 2770
    vfs_object_recycle: true
    recycle_path: '@Recycle.Bin'

  - name: Archiv
    comment: Archiv auf Fileserver
    path: /data/samba/shares/Archiv
    group_valid_users: archiv
    group_write_list: archiv
    file_create_mask: !!str 660
    dir_create_mask: !!str 2770
    vfs_object_recycle: true
    recycle_path: '@Recycle.Bin'

  - name: Kanzlei
    comment: Kanzlei auf Fileserver
    path: /data/samba/shares/Kanzlei
    group_valid_users: kanzlei
    group_write_list: kanzlei
    file_create_mask: !!str 660
    dir_create_mask: !!str 2770
    vfs_object_recycle: true
    recycle_path: '@Recycle.Bin'

  - name: Recherche
    comment: Recherche auf Fileserver
    path: /data/samba/shares/Recherche
    group_valid_users: recherche
    group_write_list: recherche
    file_create_mask: !!str 660
    dir_create_mask: !!str 2770
    vfs_object_recycle: true
    recycle_path: '@Recycle.Bin'

  - name: Install
    comment: Install auf Fileserver
    path: /data/samba/shares/Install
    group_valid_users: admin
    group_write_list: admin
    file_create_mask: !!str 660
    dir_create_mask: !!str 2770
    vfs_object_recycle: true
    recycle_path: '@Recycle.Bin'

    # ---
    # - This share will be written by windows schedulescript 'backup-advoware.bat'
    # ---
  - name: Advoware-Backup
    comment: Advoware-Backup (only read) on Fileserver
    path: /data/samba/shares/Advoware-Backup
    group_valid_users: back
    group_write_list: back
    file_create_mask: !!str 664
    dir_create_mask: !!str 2775
    guest_ok: !!str yes
    vfs_object_recycle: false


    # ---
    # - This share will be written by Windows Server 2016 configured at
    # - "Windows Zubehör" -> "Windows Server-Sicherung"
    # ---
  - name: WinServer2022-Backup
    comment: WinServer2022-Backup on Fileserver
    path: /data/samba/shares/WinServer2022-Backup
    group_valid_users: sysadm
    group_write_list: sysadm
    file_create_mask: !!str 664
    dir_create_mask: !!str 2775
    guest_ok: !!str yes
    vfs_object_recycle: false



# ==============================


# ---
# vars used by scripts/reset_root_passwd.yml
# ---

root_user:
  name: root
  password: $6$J1ssJfdshf/$mknQEPDcW4HN5.wFfawbamamywI7F7fhdZmaR1abNrc4DA7DNRx766lz3ygf9YV3gcmRq3QhJ3fBVlkwGMCvq.
